# Auto-CreamAPI

Set your game automatically up for use with CreamAPI.

## Features
* Setup CreamAPI’s DLLs and configuration file automatically.
* Find the AppID by providing the game’s name without having to look it up manually.
* Fetch a list of DLCs for an AppID from both the Steam Store and SteamDB.
* Set flags like "offline mode" and "extra protection".
* Select a language from a list which can be manually expanded if needed.

## Installation

**Make sure you have Java 8 installed.**  
Download the latest release and extract it into any folder (e.g. `%USERPROFILE%\Desktop\auto-cream-api`).  
*The included CreamAPI version may be outdated, get the most recent version and
 **extract the DLL files from the nonlog_build folder to the Auto-CreamAPI folder!***

## Usage

* Double-click `auto-cream-api.jar` to open the application. (When starting it for the first time, it might take a few
 seconds since it needs to cache a list of games available on the Steam Store.)
  * Alternatively, open a CMD window in the location of the application, and run it by entering the following:
    ```shell script
    java -jar auto-cream-api.jar
    ```
* Click on the *Folder* (📂) button on the top right and select the *steam_api.dll* or *steam_api64.dll* 
  **in the game folder**.
* Enter the name of the game and click on the *Search* (🔍) button.
  * If it did not find the right game, either try again, or copy the app ID from the Steam Store to field to the right 
    of the *Search* (🔍) button.
* Click the lower left *"Get DLCs for AppID"* button to fetch all available DLCs for the game.
* Select a language and tick the options if needed.
* Click on *"Save"*.